# A few notes:
# Intentionally don't create logrotate files. If I'm a player,
# I'll damn any server admin who try to restart game server because
# of log rotation.

%define version 1.8.0
%define release 1mdk

%define map_version 1.8.0

Name:		crossfire-server
Version:	%{version}
Release:	%{release}
Summary:	Crossfire - a Graphical Adventure Game
Group:		Games/Adventure
License:	GPL
URL:		http://crossfire.real-time.com
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		http://prdownloads.sourceforge.net/crossfire/crossfire-%{version}.tar.bz2
Source1:	%{name}.init.bz2
Patch2:		crossfire-server-1.7.0-detach.patch.bz2

BuildRequires:	png-devel
BuildRequires:	xpm-devel
BuildRequires:	XFree86-devel
BuildRequires:	python-devel
BuildRequires:	bzip2
BuildRequires:	flex
BuildRequires:	automake1.8
BuildRequires:	tetex-latex
Requires(post):		rpm-helper
Requires(preun):	rpm-helper
Requires:	crossfire-maps = %{map_version}

%description
Crossfire is a highly graphical role-playing adventure game
with characteristics reminiscent of rogue, nethack, omega, and gauntlet.
It has multiplayer capability and presently runs under X11.

This package contains files necessary to run a local crossfire server,
or join into a network of crossfire server all over the world. If you
only want to play crossfire, you don't need this package.


%package -n	crossfire-crossedit
Summary:	Map editor for Crossfire
Group:		Games/Adventure
Requires:	%{name} = %{version}

%description -n	crossfire-crossedit
Crossfire is a highly graphical role-playing adventure game
with characteristics reminiscent of rogue, nethack, omega, and gauntlet.
It has multiplayer capability and presently runs under X11.

This package contains crossedit, a map editor for crossfire.


%prep
%setup -q -n crossfire-%{version}
%patch2 -p1 -b .detach

# needed by patch1
ACLOCAL=aclocal-1.9 AUTOMAKE=automake-1.9 autoreconf --force --install

# cleanup
perl -pi -e 's/\r//g' utils/player_dl.pl.in

%build
%define _localstatedir /var/lib/games
%serverbuild

%configure2_5x \
	--bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir}

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_initrddir}
bzip2 -dc %{SOURCE1} > $RPM_BUILD_ROOT%{_initrddir}/%{name}
chmod 0755 $RPM_BUILD_ROOT%{_initrddir}/%{name}

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/crossfire/{add_throw.perl,mktable.script}
rm -f $RPM_BUILD_ROOT%{_libdir}/crossfire/plugins/*a

# touch log file
mkdir -p $RPM_BUILD_ROOT/var/log/crossfire
touch $RPM_BUILD_ROOT/var/log/crossfire/logfile

%clean
rm -rf $RPM_BUILD_ROOT

%post
%create_ghostfile /var/log/crossfire/logfile root games 0664
%create_ghostfile %{_localstatedir}/crossfire/banish_file root games 0664
%create_ghostfile %{_localstatedir}/crossfire/bookarch root games 0664
%create_ghostfile %{_localstatedir}/crossfire/clockdata root games 0664
%create_ghostfile %{_localstatedir}/crossfire/highscore root games 0664
%create_ghostfile %{_localstatedir}/crossfire/temp.maps root games 0664
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog DEVELOPERS INSTALL NEWS README TODO
%config(noreplace) %{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/crossfire
%attr(2111,root,games) %{_gamesbindir}/crossfire
%{_gamesbindir}/crossfire-config
%{_gamesbindir}/crossloop*
%{_gamesbindir}/player_dl.pl
%{_datadir}/games/crossfire/*
%dir %{_libdir}/crossfire
%{_libdir}/crossfire/metaserver.pl
%{_libdir}/crossfire/random_map
%dir %{_libdir}/crossfire/plugins
%{_libdir}/crossfire/plugins/*.so
%{_mandir}/man6/crossfire*
%{_mandir}/man6/crossloop*


%defattr(0660,root,games,2770)
%dir /var/log/crossfire
%ghost /var/log/crossfire/logfile
%dir %{_localstatedir}/crossfire
%ghost %{_localstatedir}/crossfire/banish_file
%ghost %{_localstatedir}/crossfire/bookarch
%ghost %{_localstatedir}/crossfire/clockdata
%ghost %{_localstatedir}/crossfire/highscore
%ghost %{_localstatedir}/crossfire/temp.maps
%dir %{_localstatedir}/crossfire/maps
%dir %{_localstatedir}/crossfire/players
%dir %{_localstatedir}/crossfire/unique-items

%files -n crossfire-crossedit
%defattr(-,root,root)
%{_gamesbindir}/crossedit
%{_mandir}/man6/crossedit.*

%changelog
* Sat Aug 20 2005 Abel Cheung <deaddog@mandriva.org> 1.8.0-1mdk
- New release 1.8.0
- Drop Patch1 (upstream)

* Tue Feb 08 2005 Abel Cheung <deaddog@mandrake.org> 1.7.0-1mdk
- New version
- Drop patch0 (upstream)
- Modify P1 to detect python 2.4
- P2: Fix -detach option to really detach from tty

* Fri Aug  8 2003 Abel Cheung <maddog@linux.org.hk> 1.5.0-3mdk
- Forgot to bump release last time

* Fri Aug  8 2003 Abel Cheung <maddog@linux.org.hk> 1.5.0-2mdk
- Patch1: enable rebuild with python 2.3

* Thu Jul 3 2003 Austin Acton <aacton@yorku.ca> 1.5.0-1mdk
- prereq rpm-helper
- from Abel Cheung <maddog@linux.org.hk>:
  - 1.5.0
  - Update init script (use gprintf)
  - Update patch0
  - Rename this package to crossfire-server to avoid confusion

* Thu Jan 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-3mdk
- rebuild

* Wed Jun 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-2mdk
- buildrequires on libpng3

* Tue May 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1mdk
- added in contribs by Abel Cheung <maddog@linux.org.hk> :
	- 1.0.0 -- Hurray!
	- First mandrake package, spec rewrite (taken from previous package)
	- Ancient patches removed
	- New patch 0-3 (patch3 should be unnecessary), and patch 4-7 from CVS
	- Modified init script:
    		- add condrestart
    		- don't use crossloop script to rerun crossfire if crossfire crashes
	- Removed obsolete doc
	- Remove add_throw and flushlocks, seems to be obsolete
	- Add collect.pl util.pl xpmtopix.pl, not sure it's usage so keep it for now
	- Splitted maps as new source rpm, and add "Requires: crossfire-maps"
	- Move config files to /etc/crossfire to make rpmlint happy
	- Gzip'ed postscript to save some little space
	- Split crossedit(and other misc utils) into separate package

